Open CASCADE Technology: AppParCurves_HArray1OfConstraintCouple Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
AppParCurves_HArray1OfConstraintCouple Class Reference

`#include <AppParCurves_HArray1OfConstraintCouple.hxx>`

Inheritance diagram for AppParCurves_HArray1OfConstraintCouple:
[legend]

## Public Member Functions
| AppParCurves_HArray1OfConstraintCouple (const Standard_Integer Low, const Standard_Integer Up)
| AppParCurves_HArray1OfConstraintCouple (const Standard_Integer Low, const Standard_Integer Up, const AppParCurves_ConstraintCouple &V)
void | Init (const AppParCurves_ConstraintCouple &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const AppParCurves_ConstraintCouple &Value)
const AppParCurves_ConstraintCouple & | Value (const Standard_Integer Index) const
AppParCurves_ConstraintCouple & | ChangeValue (const Standard_Integer Index)
const AppParCurves_Array1OfConstraintCouple & | Array1 () const
AppParCurves_Array1OfConstraintCouple & | ChangeArray1 ()
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

AppParCurves_HArray1OfConstraintCouple::AppParCurves_HArray1OfConstraintCouple | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

AppParCurves_HArray1OfConstraintCouple::AppParCurves_HArray1OfConstraintCouple | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const AppParCurves_ConstraintCouple & | V
| ) |  |

## Member Function Documentation

const AppParCurves_Array1OfConstraintCouple& AppParCurves_HArray1OfConstraintCouple::Array1 | ( |  | ) | const

AppParCurves_Array1OfConstraintCouple& AppParCurves_HArray1OfConstraintCouple::ChangeArray1 | ( |  | ) |

AppParCurves_ConstraintCouple& AppParCurves_HArray1OfConstraintCouple::ChangeValue | ( | const Standard_Integer | Index | ) |

void AppParCurves_HArray1OfConstraintCouple::Init | ( | const AppParCurves_ConstraintCouple & | V | ) |

Standard_Integer AppParCurves_HArray1OfConstraintCouple::Length | ( |  | ) | const

Standard_Integer AppParCurves_HArray1OfConstraintCouple::Lower | ( |  | ) | const

void AppParCurves_HArray1OfConstraintCouple::SetValue | ( | const Standard_Integer | Index,
|  | const AppParCurves_ConstraintCouple & | Value
| ) |  |

Standard_Integer AppParCurves_HArray1OfConstraintCouple::Upper | ( |  | ) | const

const AppParCurves_ConstraintCouple& AppParCurves_HArray1OfConstraintCouple::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- AppParCurves_HArray1OfConstraintCouple.hxx